Skip to content

POST Permission

This API call creates a new permission. This is only allowed by the superuser.

Location

/api/v1/portal-management/permissions/

Permissions required

Being superuser.

Body parameters

Parameter Type Required Description
permission_name string yes The name of the permission.
permission_slugify string yes The slugify version of the permission name.
permission_description string yes The description of the permission.
module_uuid uuid yes The module_uuid linked to the permission.

Example Body (json)

{
        "permission_name": "admin-test",
        "permission_slugify": "admin-test",
        "permission_description": "test permission.",
        "module_uuid": "0f044275-1744-444c-9627-736310d7997e"
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/permissions/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"<permission data>"

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.